Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
masters of the universe: he-man - defender of grayskull compability
#1
Hello,
i want to ask if the game "masters of the universe: he-man - defender of grayskull" is playable on version 0.9.6. In the compability list it says it shows only menus, but in version 0.9.2. the compability list tells nothing about version 0.9.6. Could someone test the game on version 0.9.6?
I hope it works.
Reply

Sponsored links





Users browsing this thread: 1 Guest(s)